修改线宽无法实现啊!!急急
<p>我感觉是setlineweight函数中的acdb::lineweight枚举类型的原因,谁能帮我改该啊?就是最后的那一句啊!!</p><p>void zzxchangeLineWid()<br/>{<br/>#ifdef OARXWIZDEBUG<br/> acutPrintf ("\nOARXWIZDEBUG - zzxchangeLineWid() called.");<br/>#endif // OARXWIZDEBUG</p><p> // TODO: Implement the command</p><p> //open the entity<br/> AcDbBlockTable* pBlkTbl;<br/> AcDbBlockTableRecord* pBlkTblRed;<br/> if (acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBlkTbl, AcDb::kForRead) != Acad::eOk)<br/> {<br/> acutPrintf(_T("\n connot open the blocktable!"));<br/> return;<br/> }<br/> pBlkTbl->getAt(ACDB_MODEL_SPACE, pBlkTblRed, AcDb::kForRead);<br/> pBlkTbl->close();<br/> acutPrintf("111");</p><p> //build an Iterator<br/> AcDbBlockTableRecordIterator* pItr;<br/> pBlkTblRed->newIterator(pItr);<br/> </p><p> //Iterate the Entity<br/> for (pItr->start(); !pItr->done(); pItr->step())<br/> {<br/> AcDbEntity* pEnt;<br/> if (pItr->getEntity(pEnt, AcDb::kForWrite) != Acad::eOk)<br/> {<br/> acutPrintf(_T("\n connot open the Entity!"));<br/> return;<br/> }</p><p> //change the lineweight of Entity</p><p>AcDb::LineWeight lineweight= pEnt->lineWeight();</p><p>lineweight= ???????????????;// who can compelete it ?????</p><p><br/> if (pEnt->setLineWeight(lineweight) != Acad::eOk)<br/> { <br/> pEnt->close();<br/> }<br/> <br/> pEnt->close();<br/> }<br/> //delete the Iterator<br/> delete pItr;<br/> pBlkTblRed->close();<br/>}<br/></p> 我是初学者,高手来一下啊 <p>pEnt->setLineWeight(kLnWt009) </p><p>AcDb::LineWeight是个enum,你查下帮助就知道了</p><p></p> 恩,谢谢,问题已经解决
页:
[1]